%define module File::Copy::Recursive

Name:           perl-File-Copy-Recursive
Version:        0.45
Release:        1%{?org_tag}%{?dist}
Summary:        Perl extension for recursively copying files and directories
License:	GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-Copy-Recursive/
Source0:        http://localhost/cpan//authors/id/D/DM/DMUEY/File-Copy-Recursive-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::File)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Digest::MD5)
Requires:       perl(File::Copy)
Autoreq:        no
%if %{rhel} >= 8
Provides:       perl(%{module}) = %{version}
%endif

%description
This module copies and moves directories recursively (or single files,
well... singley) to an optional depth and attempts to preserve each file or
directory's mode.

%prep
%setup -q -n File-Copy-Recursive-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Feb 14 2022 Gavin Carr <gavin@openfusion.net> 0.45-1
- Update to version 0.45.

* Thu Jun 02 2011 Gavin Carr <gavin@openfusion.com.au> 0.38-1
- Specfile autogenerated by cpanspec 1.79.
